/* Social menu */

#menu-footer-social {
  $social-icon-size: 46px;
  $social-icon-gap: 10px;

  float: none;
  clear: both;
  margin: {
    top: 0;
    bottom: 15px;
  }
  width: 100%;
  height: $social-icon-size;
  text-align: right;
  font-size: 0;
  @extend %list_reset_light;

  @media (max-width:  map-get($grid-breakpoints, sm)) { 
    text-align: left;
  }

  li {
    display: inline-block;
    position: relative;
    width: $social-icon-size;
    height: $social-icon-size;
    line-height: $social-icon-size + 1px;
    text-align: center;

    & + li {
      margin-left: $social-icon-gap;
    }

    a {
      position: absolute;
      bottom: 0;
      left: 0;
      display: block;
      box-sizing: content-box;
      width: 100%;
      height: 100%;
      text-decoration: none;
      color: transparent;
      border-bottom: {
        style: solid;
        width: 0;
      }
      transition: border-bottom-width 0.222s ease-out;
      
      &:before {
        color: $white;
        font-size: $social-icon-size / 1.65;
      } 

      &:hover {
        border-bottom-width: 6px;
      }
    }

    $ids:     "github"        "codepen"       "facebook"        "twitter"       "insta";
    $colors:  $github2        $codepen2       $facebook         $twitter        $instagram;
    $icons:   $fa-var-github  $fa-var-codepen $fa-var-facebook  $fa-var-twitter $fa-var-instagram;

    @each $id in $ids {
      $i: index($ids, $id);

      &.#{$id} a {
        background-color: nth($colors, $i);
        border-color:  darken(nth($colors, $i), 10%);

        &:before {
          @include icon( nth($icons, $i) );
        }
      }
    }
  }
}